
Foreman - Feature #8295

Vcenter - Memory/CPU Hotplug

11/06/2014 01:55 AM - Florent Delvaille

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Compute resources - VMware   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1253508 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2896

  

Description

Hello,

With Redhat 6.x and VCenter 5.x, we have a cool feature about our VMs, which is about being able to change Memory and CPU size

while the machine is up and running.

This feature is of course awesome as it reduce once again the  downtime of our servers.

Unfortunately, Foreman does not manage this feature yet, so the option is disabled by default.

Action to fix it is to stop the server, adapt the parameter (Options > Memory/CPU Hotplug > Enable CPU Hotplug + Enable Memory

Hotplug), then reboot and jump for joy :)

Anyway, would it be possible to add this feature (should even be set to DEFAULT imho) asap on Foreman ?

Thanks a lot in advance;

Related issues:

Related to Foreman - Feature #1946: Addition VMWare options required for VM c... Resolved 11/15/2012

Associated revisions

Revision 0994d141 - 11/23/2015 04:52 AM - Timo Goebel

fixes #8295 - add vsphere memory and cpu hot add

History

#1 - 11/06/2014 02:28 AM - Dominic Cleal

- Category set to Compute resources - VMware

- Priority changed from High to Normal

#2 - 11/06/2014 02:42 PM - Anonymous

- Related to Feature #1946: Addition VMWare options required for VM creation added

#3 - 05/01/2015 03:39 PM - Francois Herbert

My fog patch to support this has just been merged (https://github.com/fog/fog/pull/3545) so I'll work on adding this feature into foreman.

#4 - 08/14/2015 03:55 PM - Bryan Kearney

- Bugzilla link set to 1253508

#5 - 10/30/2015 06:11 AM - Mathieu Parent

Any new on VMware mem/CPU hotAdd?

#6 - 11/09/2015 09:37 AM - The Foreman Bot

- Status changed from New to Ready For Testing
https://github.com/fog/fog/pull/3545


- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/2896 added

#7 - 11/23/2015 04:52 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#8 - 11/23/2015 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0994d141d19b483e53d649e6edeefdfdac574af1.
